# Drive API . about

## Instance Methods

Gets information about the user, the user's Drive, and system capabilities.

### Method Details

`get()`

    Gets information about the user, the user's Drive, and system capabilities.

    Args:

    Returns:
      An object of the form:

        { # Information about the user, the user's Drive, and system capabilities.
        "kind": "drive#about", # Identifies what kind of resource this is. Value: the fixed string "drive#about".
        "maxUploadSize": "A String", # The maximum upload size in bytes.
        "maxImportSizes": { # A map of maximum import sizes by MIME type, in bytes.
          "a_key": "A String",
        },
        "storageQuota": { # The user's storage quota limits and usage. All fields are measured in bytes.
          "usage": "A String", # The total usage across all services.
          "usageInDrive": "A String", # The usage by all files in Google Drive.
          "usageInDriveTrash": "A String", # The usage by trashed files in Google Drive.
          "limit": "A String", # The usage limit, if applicable. This will not be present if the user has unlimited storage.
        },
        "importFormats": { # A map of source MIME type to possible targets for all supported imports.
          "a_key": [
            "A String",
          ],
        },
        "appInstalled": True or False, # Whether the user has installed the requesting app.
        "folderColorPalette": [ # The currently supported folder colors as RGB hex strings.
          "A String",
        ],
        "exportFormats": { # A map of source MIME type to possible targets for all supported exports.
          "a_key": [
            "A String",
          ],
        },
        "user": { # Information about a Drive user. # The authenticated user.
          "me": True or False, # Whether this user is the requesting user.
          "kind": "drive#user", # Identifies what kind of resource this is. Value: the fixed string "drive#user".
          "displayName": "A String", # A plain text displayable name for this user.
          "permissionId": "A String", # The user's ID as visible in Permission resources.
          "emailAddress": "A String", # The email address of the user. This may not be present in certain contexts if the user has not made their email address visible to the requester.
          "photoLink": "A String", # A link to the user's profile photo, if available.
        },
      }